## ruby-iso8601 0.12.1

=== Makefile ===
EXTERNAL_PATH ?= $(PWD)
GEM_CREDENTIALS ?= $(HOME)/.gem/credentials
VERSION ?= $(shell $(CAT) $(EXTERNAL_PATH)/lib/iso8601/version.rb \
                 | $(GREP) VERSION \
                 | $(AWK) '{print $$3}' \
                 | $(TR) -d \')

AWK ?= awk
CAT ?= cat
DOCKER ?= docker
DOCKER_TASK ?= $(DOCKER) run --rm -it
GIT ?= git
GREP ?= grep
TR ?= tr

image_name = arnau/iso8601
internal_path = /usr/src/iso8601
volumes = -v $(EXTERNAL_PATH):$(internal_path) \
          -v $(GEM_CREDENTIALS):/root/.gem/credentials

default: build

include mk/*.mk

test: mri-test jruby-test
install: mri-pull jruby-pull
clean: mri-clean jruby-clean
build: mri-build jruby-build
doc: mri-doc

repl: mri-repl
shell: mri-shell
check: mri-check

local-install:
	bundle install --path bundle/vendors

## ruby-iso8601 0.12.0

=== debian/changelog ===
ruby-iso8601 (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards_version to 4.2.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 22 Aug 2018 12:40:34 -0700

ruby-iso8601 (0.11.0-1) unstable; urgency=medium

  * New upstream release.
    - Supporting negation.
  * Bump Standards-Version to 4.1.5, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Jul 2018 09:21:29 +0800

ruby-iso8601 (0.10.1-1) unstable; urgency=medium

  * Initial release (Closes: #895638)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 13 Apr 2018 17:41:09 -0300

=== debian/control ===
Source: ruby-iso8601
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper (>= 10),
               gem2deb,
               rake,
               ruby-rspec
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-iso8601.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-iso8601
Homepage: https://github.com/arnau/ISO8601
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-iso8601
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends}
Description: Ruby parser to work with ISO 8601 dateTimes and durations
 ISO8601 is a simple implementation in Ruby of the ISO 8601 (Data elements and
 interchange formats - Information interchange - Representation of dates
 and times) standard.
 .
 https://en.wikipedia.org/wiki/ISO_8601

=== debian/watch ===
version=4
https://gemwatch.debian.net/iso8601 .*/iso8601-(.*).tar.gz

## ruby-iso8601 0.12.1

=== debian/changelog ===
ruby-iso8601 (0.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch tarballs to GitHub tags - upstream dropped specs and docs from
    their gem.
    - Patch out the use of git in the gemspec.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 04 Nov 2018 09:44:27 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                gem2deb,
                rake,
                ruby-rspec
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-iso8601.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-iso8601
 Homepage: https://github.com/arnau/ISO8601

## ruby-iso8601 0.13.0

=== debian/changelog ===
ruby-iso8601 (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Add myself as an uploader
    - Thanks, Stefano, for all the work so far! <3
  * Drop d/patches as they're merged upstream
  * Bump debhelper-compat to 13

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 18 Jul 2020 13:17:38 +0530

ruby-iso8601 (0.12.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Bump copyright years.
  * Bump Standards-Version to 4.5.0, no changes needed.

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Jul 2020 14:42:32 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Utkarsh Gupta <utkarsh@debian.org>
+Build-Depends: debhelper-compat (= 13),
                gem2deb,
                rake,
                ruby-rspec
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-iso8601.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-iso8601
 Homepage: https://github.com/arnau/ISO8601

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ruby-iso8601-$1.tar.gz%" \
    https://github.com/arnau/ISO8601/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
